﻿<!-- 
    1. По координатам двух точек, которые вводит пользователь, определить уравнение прямой, проходящей через эти точки.
    Общий вид уравнения: y = kx + b; где k = (y1 - y2) / (x1 - x2), b = y2 - k*x2.
    
    2. Обменять значения двух переменных, используя третью (буферную) переменную.
    
    3. Объявите две переменные: admin и name. Запишите в name строку "Василий". Замените значение из name в admin. Выведите admin.
    
    4. Получить от пользователя данные о пользователе: имя, фамилию, возраст. Обработать их и вывести на экран.
    
    5. Запросите у пользователя его возраст, после чего выведите на экран модальное окно с вопросом: "Ваш возраст ...(введеное пользователем число) лет?". Далее в зависимости от выбора пользователя выводится модальное окно с информацией true или false.
-->

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    
</head>
<script type="text/javascript">
    //По координатам двух точек, которые вводит пользователь, определить уравнение прямой, проходящей через эти точки.
   // Общий вид уравнения: y = kx + b; где k = (y1 - y2) / (x1 - x2), b = y2 - k*x2.

   var x1 = +prompt("Input value of x1");
   var x2 = +prompt("Input value of x2");
   var y1 = +prompt("Input value of y1");
   var y2 = +prompt("Input value of y2");
   var k = (y1 - y2) / (x1 - x2);
   var b = y2 - k*x2;
   document.write(`Line equation by your point: y = ${k}x + ${b} </br>`);
    
    //Обменять значения двух переменных, используя третью (буферную) переменную.

    var numberOne = 3;
    var numberTwo = 9;
    document.write(`Number one is equal to ${numberOne}, number two is equal to  ${numberTwo} </br>`);

    var buffer = numberOne;
    numberOne = numberTwo;
    numberTwo = buffer;
    
    

   document.write(`Number one was equal 3, but now become ${numberOne} </br>`); 
   document.write(`Number two was equal 9, but now become ${numberTwo} </br>`);

   //Объявите две переменные: admin и name. Запишите в name строку "Василий". Замените значение из name в admin. Выведите admin.
    var admin;
    var name = "Василий";
    admin = name;
    document.write(`Admin name now is ${admin}</br>`);


    // Получить от пользователя данные о пользователе: имя, фамилию, возраст. Обработать их и вывести на экран.
    var firstName = prompt("Input your first name");
    var lastName = prompt("Input your surname?");
    var age = +prompt("Input your age");
    document.write(`Check your data: ${firstName} ${lastName} ${age} </br>`); 

    //Запросите у пользователя его возраст, после чего выведите на экран модальное окно с вопросом: 
    //"Ваш возраст ...(введеное пользователем число) лет?". Далее в зависимости от выбора пользователя 
    //выводится модальное окно с информацией true или false.

    var userAge = +prompt("Input your age, please! </br>");
    var userAgeConfirmation = confirm (`Your age is ${userAge} ? `);
    alert (`Result of question about your age is ${userAgeConfirmation}`);



</script>
<body>
</body>
</html>
